Type to search.

Disable the history snapshot task

Base URL
https://{kibana_url}
  • PUT /api/security/entity_store/history_snapshot/disable
  • PUT /s/{space_id}/api/security/entity_store/history_snapshot/disable
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Planned We plan to add this functionality in a future Elastic Stack update. Subject to changes. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Disable the Entity Store history snapshot task for this space so it no longer creates snapshot indices. Existing snapshot indices remain unless you set clearHistorySnapshots to true. Returns 404 if the Entity Store is not installed in the current space.

Required privileges

Privileges securitySolution

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

clearHistorySnapshots boolean · default: false

When true, deletes existing history snapshot indices for this space in the background after the task is disabled. The response returns immediately and does not wait for deletion to finish. Deletion failures are logged and are not returned to the caller. If the task is already disabled, the request succeeds and does not delete indices. Defaults to false.

Responses

200

Indicates a successful response.

application/json
404

Entity store is not installed.

application/json